Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/product-collections/{productCollectionId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "pc_Dj1qSH7bho4SVh7aSDKjU174",
"name": "Products in Poland",
"type": "AUTO_UPDATE",
"filter": {
"junction": "and",
"metadata.product_location": {
"conditions": {
"$in_location": [
"loc_RcYz537sV07e1t5aG5tIH9FD"
]
}
}
},
"created_at": "2022-07-14T16:12:26.377Z",
"object": "products_collection"
}Retrieves the product collection.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/product-collections/{productCollectionId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "pc_Dj1qSH7bho4SVh7aSDKjU174",
"name": "Products in Poland",
"type": "AUTO_UPDATE",
"filter": {
"junction": "and",
"metadata.product_location": {
"conditions": {
"$in_location": [
"loc_RcYz537sV07e1t5aG5tIH9FD"
]
}
}
},
"created_at": "2022-07-14T16:12:26.377Z",
"object": "products_collection"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
A unique product collection ID.
"pc_41V4DiQQO8YGqj0J2oZD57j4"
Returns a product collection object if a valid identifier was provided in the path.
Response body schema for GET v1/product-collections/{productCollectionId}.
Product collection ID.
Unique user-defined product collection name.
"All Products"
Describes whether the product collection is dynamic (products come in and leave based on set criteria) or static (manually selected products).
STATIC, AUTO_UPDATE Timestamp representing the date and time when the product collection was created. The value is shown in the ISO 8601 format.
"2021-12-09T12:51:29.898Z"
The type of the object represented by JSON. This object stores information about the static product collection.
products_collection Defines a set of criteria and boundary conditions for an AUTO_UPDATE product collection type.
Show child attributes
Defines a set of products for a STATIC product collection type.
Show child attributes
Was this page helpful?